#ifndef MD5_H
#define MD5_H

#include <openssl/md5.h>
/*
 *  Some operating systems MAY resolve the MD5* functions to
 *  secret functions in one of their libraries.  These OS supplied
 *  MD5 functions almost always blow up, and cause problems.
 *  To get around the issue, we re-define the MD5 function names
 *  so that we're sure that our module uses our tested and working
 *  MD5 functions.
 */
#define MD5Init       MD5_Init
#define MD5Update     MD5_Update
#define MD5Final      MD5_Final
#define MD5Transform  MD5_Transform

#ifdef __alpha
typedef unsigned int uint32;
#else
typedef unsigned long uint32;
#endif

#if 0
struct MD5Context {
    uint32 buf[4];
    uint32 bits[2];
    unsigned char in[64];
};

void MD5Init(struct MD5Context *);
void MD5Update(struct MD5Context *, unsigned const char *, unsigned);
void MD5Final(unsigned char digest[16], struct MD5Context *);
void MD5Transform(uint32 buf[4], uint32 const in[16]);

/*
 * This is needed to make RSAREF happy on some MS-DOS compilers.
 */

typedef struct MD5Context MD5_CTX;
#endif

#endif /* MD5_H */
